{% extends 'layouts/main-habilitation.html' %}
{% load ac_common %}
{% load static ac_extras %}

{% block title %}Aidants Connect - Mon organisation{% endblock %}

{% block extracss %}
  <link href="{% static 'css/espace-aidant.css' %}" rel="stylesheet">
{% endblock extracss %}

{% block content %}
  <div class="fr-container">
    {% if messages %}
      {% for message in messages %}
        <div class="notification {% if message.tags %}{{ message.tags }}{% endif %}" role="alert">{{ message }}</div>
      {% endfor %}
    {% endif %}
    <h1>Mon organisation</h1>
    <h2>{{ organisation.name }}</h2>
    <p class="subtitle">
      Retrouvez ici des outils à votre disposition, externes à Aidants Connect mais susceptibles de vous aider dans vos
      démarches d’accompagnement.
    </p>

    <div class="fr-grid-row fr-grid-row--gutters margin-bottom-2rem">
      <div class="fr-col-12">
        {% include "aidants_connect_web/espace_aidant/notifications.html" with user=responsable %}
      </div>
    </div>

    <div class="fr-grid-row fr-grid-row--gutters margin-bottom-2rem">
      <div class="fr-col-12">
        <div class="bandeau shadowed">
          <p>
            <span aria-hidden="true">⚠️</span> Attention : un grand nombre d’aidants sont en attente d’une formation
            Aidants Connect et les formations sont complètes pour les prochains mois. Vous pouvez ajouter sur votre
            compte
            Responsable un montant maximum de trois aidants à la fois. Au-delà de trois aidants, les aidants seront mis
            sur liste d’attente.
          </p>
        </div>
      </div>
    </div>

    {% include "aidants_connect_web/espace_aidant/statistics.html" %}

    <h2 class="clearfix">
      Aidants
      <span class="float-right">
        {% if organisation_active_aidants|length > 1 %}{# Organisation has more aidants than just the responsable #}
          <a
            href="{% url 'espace_responsable_organisation_responsables' organisation_id=organisation.id %}"
            class="button"
          >
            <span aria-hidden="true">⚙️ </span>Désigner un responsable
          </a>
        {% endif %}
        <a href="{% url "espace_responsable_aidant_new" %}" class="button">
          <span aria-hidden="true">👩 </span>Ajouter un aidant
        </a>
      </span>
    </h2>



    {% if organisation_active_aidants %}
      <h3>Aidants actifs</h3>
      <table class="table aidants-list">
        <thead>
        <tr>
          <th>Nom</th>
          <th>Email</th>
          <th>Carte Aidants Connect</th>
          <th><span class="sr-only">Retirer un aidant</span></th>
        </tr>
        </thead>
        <tbody class="shadowed">
        {% for aidant in organisation_active_aidants %}
          <tr>
            <td>{{ aidant.get_full_name }}{% if aidant.pk == responsable.pk %} (Responsable){% endif %}</td>
            <td>{% mailto recipient=aidant.email %}</td>
            <td>
              {{ aidant.number_totp_card }}

              {% if aidant.has_a_carte_totp and not aidant.carte_totp.totp_device.confirmed %}
                <p class="unverified-card-warning shadowed red padding-1rem">
                  Attention : Le fonctionnement de cette carte n’a pas été vérifié.
                  Vous devez valider la carte pour permettre à {{ aidant.get_full_name }}
                  de se connecter à Aidants Connect.
                </p>
              {% endif %}
            </td>
            <td>
              {% if aidant.pk != responsable.pk %}
                <a
                  id="remove-aidant-{{ aidant.id }}-from-organisation"
                  href="{% url 'espace_responsable_remove_aidant_from_organisation' aidant_id=aidant.id organisation_id=organisation.id %}"
                  class="button"
                >
                  {% if aidant.organisations.count > 1 %}
                    Retirer l’aidant de l’organisation
                  {% else %}
                    Désactiver l’aidant
                  {% endif %}
                </a>
              {% endif %}

              {% if not aidant.has_a_carte_totp %}
                <a href="{% url "espace_responsable_associate_totp" aidant_id=aidant.id %}" class="button">
                  Lier une carte
                </a>
              {% elif not aidant.carte_totp.totp_device.confirmed %}
                <a href="{% url "espace_responsable_validate_totp" aidant_id=aidant.id %}" class="button">
                  Valider la carte
                </a>
              {% endif %}
            </td>
          </tr>
        {% endfor %}
        </tbody>
      </table>
    {% endif %}

    {% if organisation_habilitation_requests %}
      <h3>Demandes d’habilitation en cours</h3>

      <table class="table">
        <thead>
        <tr>
          <th>Nom</th>
          <th>Email</th>
          <th>Profession</th>
          <th>État de la demande</th>
        </tr>
        </thead>
        <tbody class="shadowed blue">
        {% for request in organisation_habilitation_requests %}
          <tr>
            <td>{{ request.aidant_full_name }}</td>
            <td>{% mailto recipient=request.email %}</td>
            <td>{{ request.profession }}</td>
            <td>
              <div class="tooltip request-status-{{ request.status|lower }}">
                {{ request.get_status_display }}
                <div class="tooltiptext request-status-{{ request.status|lower }}">
                  {% if request.status|lower == "habilitation_waitling_list" %}
                    Les prochaines sessions de formation sur votre territoire sont complètes.
                    Nous contacterons cet aidant dès que possible.
                  {% elif request.status|lower == "new" %}
                    Cet aidant vient d’être ajouté sur l’espace du Responsable Aidants Connect
                  {% elif request.status|lower == "processing" %}
                    L’équipe Aidants Connect a validé l’ajout de cet aidant, il est en cours de formation.
                  {% elif request.status|lower == "refused" %}
                    La demande d’ajout de cet aidant est refusée pour l’une des raisons suivantes :
                    <ul>
                      <li>l’aidant n’est pas éligible au dispositif (ex: infirmier),</li>
                      <li>
                        l’adresse email ne respecte pas les critères d’éligibilité (nominative et professionnelle),
                      </li>
                      <li>l’aidant est déjà identifié dans la base de données.</li>
                    </ul>
                  {% elif request.status|lower == "cancelled" %}
                    À la demande de l’aidant, l’habilitation est annulée
                  {% endif %}
                </div>
              </div>
            </td>
          </tr>
        {% endfor %}
        </tbody>
      </table>
    {% endif %}

    {% if organisation_inactive_aidants %}
      <h3>Aidants désactivés</h3>
      <table class="table aidants-list">
        <thead>
        <tr>
          <th>Nom</th>
          <th>Email</th>
          <th>Carte Aidants Connect</th>
          <th><span class="sr-only">Actions sur l’aidant ou l’aidante</span></th>
        </tr>
        </thead>
        <tbody class="shadowed grey">
        {% for aidant in organisation_inactive_aidants %}
          <tr>
            <td>{{ aidant.get_full_name }}</td>
            <td>{% mailto recipient=aidant.email %}</td>
            <td>
              {{ aidant.number_totp_card }}
              {% if aidant.has_a_carte_totp and not aidant.carte_totp.totp_device.confirmed %}
                <p class="shadowed red padding-1rem unverified-card-warning">
                  Attention : Le fonctionnement de cette carte n’a pas été vérifié.
                  Vous devez valider la carte pour permettre à {{ aidant.get_full_name }}
                  de se connecter à Aidants Connect.
                </p>
              {% endif %}
            </td>
            <td>
              {% if not aidant.has_a_carte_totp %}
                <a href="{% url "espace_responsable_associate_totp" aidant_id=aidant.id %}" class="button">
                  Lier une carte
                </a>
              {% elif not aidant.carte_totp.totp_device.confirmed %}
                <a href="{% url "espace_responsable_validate_totp" aidant_id=aidant.id %}" class="button">
                  Valider la carte
                </a>
              {% endif %}
            </td>
          </tr>
        {% endfor %}
        </tbody>
      </table>
    {% endif %}
  </div>
{% endblock content %}
